--- linux/drivers/video/acornfb.c.orig	2007-08-17 16:50:56.000000000 +0100
+++ linux/drivers/video/acornfb.c	2007-08-17 16:52:02.000000000 +0100
@@ -774,6 +774,19 @@
 	if (!acornfb_valid_pixrate(var))
 		return -EINVAL;
 
+       /*
+        * Neither interlace nor doublescan work properly.
+        * Interlace would require software to store odd and even field
+        * separately and the kernel to switch between odd and even field
+        * at VSYNC. Doublescan is only possible if handled totally in
+        * software. -> Disabled as it does not cause the expected result.
+        */
+
+        if (((var->vmode & FB_VMODE_MASK) == FB_VMODE_INTERLACED) ||
+            ((var->vmode & FB_VMODE_MASK) == FB_VMODE_DOUBLE))
+               return -EINVAL;
+
+
 	/*
 	 * Validate and adjust the resolution to
 	 * match the video generator hardware.
